OpenCV: cv::videostab::InpaintingPipeline Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::videostab::InpaintingPipeline Class Reference
Video Stabilization

`#include "inpainting.hpp"`

Inheritance diagram for cv::videostab::InpaintingPipeline:

## Public Member Functions
bool | empty () const
virtual void | inpaint (int idx, Mat &frame, Mat &mask) CV_OVERRIDE
void | pushBack (Ptr< InpainterBase > inpainter)
virtual void | setFrames (const std::vector< Mat > &val) CV_OVERRIDE
virtual void | setMotionModel (MotionModel val) CV_OVERRIDE
virtual void | setMotions (const std::vector< Mat > &val) CV_OVERRIDE
virtual void | setRadius (int val) CV_OVERRIDE
virtual void | setStabilizationMotions (const std::vector< Mat > &val) CV_OVERRIDE
virtual void | setStabilizedFrames (const std::vector< Mat > &val) CV_OVERRIDE
Public Member Functions inherited from cv::videostab::InpainterBase
| InpainterBase ()
virtual | ~InpainterBase ()
virtual const std::vector< Mat > & | frames () const
virtual MotionModel | motionModel () const
virtual const std::vector< Mat > & | motions () const
virtual int | radius () const
virtual const std::vector< Mat > & | stabilizationMotions () const
virtual const std::vector< Mat > & | stabilizedFrames () const

## Additional Inherited Members
Protected Attributes inherited from cv::videostab::InpainterBase
const std::vector< Mat > * | frames_
MotionModel | motionModel_
const std::vector< Mat > * | motions_
int | radius_
const std::vector< Mat > * | stabilizationMotions_
const std::vector< Mat > * | stabilizedFrames_

## Member Function Documentation

## ◆ empty()

bool cv::videostab::InpaintingPipeline::empty | ( |  | ) | const
| inline

## ◆ inpaint()

virtual void cv::videostab::InpaintingPipeline::inpaint | ( | int | idx,
|  | Mat & | frame,
|  | Mat & | mask
| ) |  |
| virtual

Implements cv::videostab::InpainterBase.

## ◆ pushBack()

void cv::videostab::InpaintingPipeline::pushBack | ( | Ptr< InpainterBase > | inpainter | ) |
| inline

## ◆ setFrames()

virtual void cv::videostab::InpaintingPipeline::setFrames | ( | const std::vector< Mat > & | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

## ◆ setMotionModel()

virtual void cv::videostab::InpaintingPipeline::setMotionModel | ( | MotionModel | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

## ◆ setMotions()

virtual void cv::videostab::InpaintingPipeline::setMotions | ( | const std::vector< Mat > & | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

## ◆ setRadius()

virtual void cv::videostab::InpaintingPipeline::setRadius | ( | int | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

## ◆ setStabilizationMotions()

virtual void cv::videostab::InpaintingPipeline::setStabilizationMotions | ( | const std::vector< Mat > & | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

## ◆ setStabilizedFrames()

virtual void cv::videostab::InpaintingPipeline::setStabilizedFrames | ( | const std::vector< Mat > & | val | ) |
| virtual

Reimplemented from cv::videostab::InpainterBase.

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/inpainting.hpp